Skip to main content
DELETE
/
api
/
v1
/
orders
/
{order_id}
/
products
/
{product_type}
/
{id}
Remove a product from an order
curl --request DELETE \
  --url https://api.byblend.com/api/v1/orders/{order_id}/products/{product_type}/{id} \
  --header 'Authorization: Bearer <token>'
{
  "message": "Non_prescription product removed from order"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

order_id
string
required

Unique identifier for the order, either UUID, order number (e.g. ORD250312003548IAU4), or external ID (e.g. my-system-128318AA2) if you have provided one during order creation or update.

product_type
enum<string>
required

Type of product line to remove

Available options:
prescription,
non_prescription,
order_material
id
string<uuid>
required

Unique identifier (UUID) of the product on the order line

Query Parameters

order_item_id
string<uuid>

Unique identifier (UUID) of the order line row. Required when the same product appears more than once on the order; use the order_item_id value from the order's products object.

Response

200 - application/json

Product removed from order successfully

message
string
Example:

"Non_prescription product removed from order"